×

Discussion Board

Results 1 to 4 of 4
  1. #1
    Registered User
    Join Date
    Jan 2010
    Posts
    272

    Question MySQL and PR 1.2

    Now that the PR 1.2 is out with Qt 4.6.2, I would like to know if it is possible to use MySQL? When I try to use it (in Qt Creator of Nokia Qt SDK), I get the following error:

    QSqlDatabase: QMYSQL driver not loaded
    QSqlDatabase: available drivers: QSQLITE
    What I should do to be bale to connect to a MySQL server with N900? Is it even possible?


    Cheers

  2. #2
    Super Contributor
    Join Date
    Oct 2009
    Posts
    4,326

    Re: MySQL and PR 1.2

    Quote Originally Posted by Sasler View Post
    Now that the PR 1.2 is out with Qt 4.6.2, I would like to know if it is possible to use MySQL? When I try to use it (in Qt Creator of Nokia Qt SDK), I get the following error:
    What I should do to be bale to connect to a MySQL server with N900? Is it even possible?
    Are you using Maemo target in Nokia Qt SDK? Do you have installed on the device libqt4-sql-mysql and mysql-server-5.0? Is server running?

  3. #3
    Registered User
    Join Date
    Jan 2010
    Posts
    272

    Re: MySQL and PR 1.2

    Quote Originally Posted by divanov View Post
    Are you using Maemo target in Nokia Qt SDK? Do you have installed on the device libqt4-sql-mysql and mysql-server-5.0? Is server running?
    Yes for the first question and no for the second and third. I did an apt-get install libqt4-sql-mysql and now I don't get that error any more. So maybe it's working. I just need to do some real data test when I've the time.

    But I didn't need the mysql-server-5.0. That is probably an in-device MySQL server, if I understood correctly and I don't need that. I'm using an external server for that.

    Thanks for the help

  4. #4
    Super Contributor
    Join Date
    Oct 2009
    Posts
    4,326

    Re: MySQL and PR 1.2

    Quote Originally Posted by Sasler View Post
    But I didn't need the mysql-server-5.0. That is probably an in-device MySQL server, if I understood correctly and I don't need that. I'm using an external server for that.
    In case you are using external server from the network, then yes, you don't need mysql-server-5.0 on N900.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
×